[Pkg-puppet-devel] [SCM] Puppet packaging for Debian branch, master, updated. debian/0.24.5-2-110-g88c20b9
Micah Anderson
micah at riseup.net
Sun Nov 30 01:00:57 UTC 2008
The following commit has been merged in the master branch:
commit 88c20b964e677f597aee63afa1e1e4ef57caacfc
Author: Micah Anderson <micah at riseup.net>
Date: Sat Nov 29 19:54:24 2008 -0500
Fix up the initscript START variable tests
diff --git a/debian/puppet.init b/debian/puppet.init
index 135a7d3..e244313 100644
--- a/debian/puppet.init
+++ b/debian/puppet.init
@@ -36,6 +36,8 @@ start_puppet() {
if is_true "$START" ; then
start-stop-daemon --start --quiet --pidfile /var/run/puppet/$NAME.pid \
--startas $DAEMON -- $DAEMON_OPTS
+ else
+ echo ""
echo "puppet not configured to start, please edit /etc/default/puppet to enable"
fi
}
diff --git a/debian/puppetmaster.init b/debian/puppetmaster.init
index d50e500..a971525 100644
--- a/debian/puppetmaster.init
+++ b/debian/puppetmaster.init
@@ -51,7 +51,8 @@ start_puppetmaster() {
--startas $DAEMON -- $DAEMON_OPTS --masterport=$PORT
fi
else
- echo "puppetmaster not configure to start, please edit /etc/default/puppetmaster to enable"
+ echo ""
+ echo "puppetmaster not configured to start, please edit /etc/default/puppetmaster to enable"
fi
}
@@ -73,14 +74,9 @@ stop_puppetmaster() {
case "$1" in
start)
- if is_true "$START"
- then
- log_begin_msg "Starting $DESC"
- start_puppetmaster
- log_end_msg $?
- else
- exit 0
- fi
+ log_begin_msg "Starting $DESC"
+ start_puppetmaster
+ log_end_msg $?
;;
stop)
log_begin_msg "Stopping $DESC"
--
Puppet packaging for Debian
More information about the Pkg-puppet-devel
mailing list